setwd ("/media/Keaolani/wolf_parsing/")

ncol <- max (count.fields ("filtered.merged.nonodem.species.quickfix.csv", sep = ","))
data <- read.csv (file = "filtered.merged.nonodem.species.quickfix.csv", sep = ",", header = FALSE, fill = TRUE, col.names = paste0("V", seq(ncol)))

species <- data[,1]
species_uniq <- unique (species)
taxid <- data[,2]
taxid_uniq <- unique (taxid)

data_tubes_and_count <- data [,3:ncol]
data_tubes <- data_tubes_and_count[,seq(1, NCOL (data_tubes_and_count), by = 2)]
data_count <- data_tubes_and_count[,seq(2, NCOL (data_tubes_and_count), by = 2)]

data_tubes_temp <- data_tubes
colnames (data_tubes_temp) = NULL
data_tube_labels <- unlist (data_tubes_temp)
data_tube_labels <- data_tube_labels[data_tube_labels != ""]
data_tube_labels <- unique (data_tube_labels)

# Get the size of the rows and columns
numSpecies <- length (taxid_uniq)
numTubes <- length (data_tube_labels)

# Initialize empty matrix to hold the counts of each species per tube
assigned <- matrix (data = 0, nrow = numSpecies, ncol = numTubes)

colnames (assigned) <- data_tube_labels
rownames (assigned) <- taxid_uniq

### Assign counts to tubes ###

# Go along each row (sequence)..
for (i in (1 : nrow (data))){
  # Get taxid to assign to correct row
  
  # Go along each tube, and assign counts by incrementing
  # fields in this taxid row according to the tube label
  # something like [taxid, label] += count
  #browser ()
  tax <- as.character (data[i,2])
  tubes <- as.vector (unlist (data_tubes[i,])[data_tubes[i,] != ""])
  counts <- as.vector (na.exclude (unlist (data_count[i,])))
  #browser ()
  for (j in (1: length (tubes))){
    print (counts[j])
    assigned[tax, tubes[j]] <- assigned[tax, tubes[j]] + counts[j]
  }
  
}
assigned_names <- assigned
rownames (assigned_names) <- species_uniq

write.csv (assigned_names, file = "speciesVtubes.csv")
