### Get rid of sequences such that each line has all metadata for an entry
grep ">.*" wolf.ali.assigned.uniq.c10.l80.clean.tag.fasta \
   >temp.dat 

	### PART 1: Create names.csv ###

### Get the species_name, family_name, taxid, and scientific_name in a csv:
grep -e "species_name=[^;]*;" -e "scientific_name=[^;]*;" -e "family_name=[^;]*;" -e "taxid=[0-9]*;" -e "genus_name=[^;]*;" -e "order_name=[^;]*;" -o temp.dat \
   >names.dat

### Remove labels such as 'scientific_name=', leaving just the name,
### and convert semicolons to commas:
sed -e 's\^.*=\\g' -e 's\;\,\g' names.dat > names.truncated.dat

### Turn every 6 lines into a single line such that each row
awk 'NR%6{printf $0" ";next;}1' names.truncated.dat \
> names.t.csv

###Remove trailing comma:
sed -e 's\,$\\g' names.t.csv > names.csv 

	### PART 2: Create filtered.merged.csv###

### Get the data lines that we want: 
grep -e "taxid=[0-9]*;" -e "merged_sample={'[^}]*};" -o temp.dat \
   > filtered.dat

### Merge every 2 lines into 1:
awk 'NR%2{printf $0" ";next;}1' filtered.dat \
   > filtered.merged.dat

# Remove those without a species name
#grep "None" -v filtered.merged.dat \
#   > filtered.merged.species.dat

### Get rid of various extra characters
sed -e 's\species_name=\\g' -e 's\taxid=\\g' -e 's\merged_sample=\\g' \
   -e 's\;\\g' -e 's\:\\g' -e 's\,\\g' -e 's\{\\g' -e 's\}\\g' \
   -e 's\[\x27]\\g' filtered.merged.dat \
   > filtered.merged.whitespaced.dat

### Convert whitespace to comma delimited
sed -e 's\ \,\g' filtered.merged.whitespaced.dat \
   > filtered.merged.csv

